Webhook Oauth2 Client Credentials
Create and manage credentials and access to external systems.
Webhook_Oauth2_ClientCredentials: Create auth
POST
https://api.lytics.io/v2/auth/webhook-oauth2-client-credentialsCreate a Webhook_Oauth2_ClientCredentials auth
Hide Parameters
Query Parameters
account_idoptionalstringHeaders
AuthorizationoptionalstringBody Parameters
account_idoptionalstringconfigrequiredobjectconfig.access_token_manager_idoptionalstringconfig.client_idoptionalstringconfig.client_secretoptionalstringconfig.scopeoptionalstringconfig.token_endpointoptionalstringconfig.webhook_request_headersoptionalstringconfig.webhook_request_paramsoptionalstringdescriptionoptionalstringlabelrequiredstringprovider_idoptionalstringprovider_slugoptionalstringtypeoptionalstringuser_idoptionalstringSample Request
{
"account_id": "string",
"config": {
"access_token_manager_id": "string",
"client_id": "string",
"client_secret": "string",
"scope": "string",
"token_endpoint": "string",
"webhook_request_headers": "string",
"webhook_request_params": "string"
},
"description": "string",
"label": "string",
"provider_id": "string",
"provider_slug": "string",
"type": "string",
"user_id": "string"
}Sample Response
Status|201 Created
{
"_meta": {},
"data": {
"account_id": "string",
"alert_enabled": true,
"created": "string",
"description": "string",
"expires": "string",
"id": "string",
"internal": true,
"label": "string",
"last_accessed_at": "string",
"provider_id": "string",
"provider_slug": "string",
"scopes": [
"string"
],
"status": "healthy",
"ttl": "string",
"type": "string",
"unhealthy": true,
"updated": "string",
"user_id": "string"
},
"request_id": "string",
"status": 0
}Webhook_Oauth2_ClientCredentials: Get auth
GET
https://api.lytics.io/v2/auth/webhook-oauth2-client-credentials/{id}Get a Webhook_Oauth2_ClientCredentials auth
Webhook_Oauth2_ClientCredentials: Update auth
PUT
https://api.lytics.io/v2/auth/webhook-oauth2-client-credentials/{id}